Skip to content

Schedule the given message

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
contentobject(Content)required

Describes the content to be used in the message.

channelOptionsArray of any(ChannelOptions)

Channel specific options, if any.

scheduleDateinteger, (int64)required

Schedule date for the message.

taxonomyobject(Taxonomy)required

Tags, campaign, url shortener and other sprinklr workflow properties to be added to the message

approvalobject(Approval)

Approval option for the message.

statusstring

Status of the message. e.g. SCHEDULED, APPROVAL, SENT

sourceLocalestring

Locale of the source message, if this is a translated copy.

contentLocalestring

Locale of the message

autoResponseboolean

True if the message was published by the system or a bot.

createdTimeinteger, (int64)

Created time of the message.

modifiedTimeinteger, (int64)

Modified time of the message.

authorIdinteger, (int64)

Author Id of the user for the message

customPropertiesMetadataArray of objects(CustomPropertyWithMetadata)

Custom Property details

externalIdstring
idinteger, (int64)

Unique id of the outbound message in sprinklr

accountIdsArray of integers, (int64)
accountGroupIdsArray of stringsrequired

Account group id to draft/schedule group message to.

creationSourcestring

Creation Source of the message

inReplyToMessageIdstring

The message id on which the reply is being sent.

versioninteger, (int32)

Current version of the message

contentTemplateIdsArray of strings

Templates used while creating the message.

accountTypesArray of strings

Account types included in the message.

variantDetailsobject(VariantDetails)

Variant details of the message.

audienceIdsArray of strings
channelRichContentArray of objects
curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/publishing/post \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "content": {
      "title": "string",
      "titleHash": "string",
      "text": "string",
      "textHash": "string",
      "richText": "string",
      "postbackPayload": "string",
      "attachment": {
        "type": "IMAGE",
        "assetId": "string",
        "attachmentOptions": [
          {
            "channelType": "FACEBOOK",
            "accountId": 0,
            "embeddable": true,
            "category": "string",
            "noStory": true,
            "secret": true,
            "blockSocialActions": true,
            "expirationEnabled": true,
            "expirationDate": 0,
            "deletePost": true
          }
        ],
        "url": "string",
        "urlHash": "string",
        "title": "string",
        "description": "string",
        "previewUrl": "string",
        "hashedPreviewUrl": "string",
        "mimeType": "string",
        "alternateText": "string",
        "height": 0.1,
        "width": 0.1,
        "encryptedUrl": "string",
        "sizeInBytes": 0
      },
      "templateId": "string",
      "isRichText": true
    },
    "channelOptions": [
      {
        "channelType": "FACEBOOK",
        "accountId": 0,
        "scheduleNatively": true,
        "darkPost": true,
        "publishViaMobile": true
      }
    ],
    "scheduleDate": 0,
    "taxonomy": {
      "name": "string",
      "campaignId": "string",
      "subCampaignId": "string",
      "clientCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "partnerCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "tags": [
        "string"
      ],
      "urlShortenerId": "string"
    },
    "approval": {
      "type": {
        "text": {},
        "value": "string"
      },
      "id": "string"
    },
    "status": "string",
    "sourceLocale": "string",
    "contentLocale": "string",
    "autoResponse": true,
    "createdTime": 0,
    "modifiedTime": 0,
    "authorId": 0,
    "customPropertiesMetadata": [
      {
        "fieldName": "string",
        "type": "string",
        "label": "string",
        "clientCustomProperty": true,
        "values": [
          "string"
        ]
      }
    ],
    "externalId": "string",
    "id": 0,
    "accountIds": [
      0
    ],
    "accountGroupIds": [
      "string"
    ],
    "creationSource": "string",
    "inReplyToMessageId": "string",
    "version": 0,
    "contentTemplateIds": [
      "string"
    ],
    "accountTypes": [
      "string"
    ],
    "variantDetails": {
      "variant": true,
      "variantParentMessageId": "string",
      "hasVariants": true
    },
    "audienceIds": [
      "string"
    ],
    "channelRichContent": [
      {
        "property1": "string",
        "property2": "string"
      }
    ]
  }'

Responses

Success

Bodyapplication/json
Array of strings
Response
[ "string" ]